package de.thdeg.greiner.superpangworld.game;

import de.thdeg.greiner.superpangworld.objects.Bubble;
import de.thdeg.greiner.superpangworld.objects.Harpoon;
import de.thdeg.greiner.superpangworld.objects.LevelLabel;
import de.thdeg.greiner.superpangworld.objects.LevelProgressBar;

import java.awt.*;

/** Der Manager zur Verwaltung der Spielschleife. */
public class GameLoopManager {

    private GameView gameView;
    private Bubble bubble;
    private Harpoon harpoon;

    private LevelProgressBar levelProgressBar;
    private LevelLabel levelLabel;

    /** Erzeugt den GameLoopManager mit Standardwerten. */
    public GameLoopManager() {
        this.gameView = new GameView();
        this.gameView.setWindowTitle("Super Pang World");
        this.gameView.setStatusText("Andreas Greiner - Java Programmierung SS 2021");
        this.gameView.setWindowIcon("Target.png");

        this.bubble = new Bubble(gameView);
        this.harpoon = new Harpoon(gameView);

        this.levelProgressBar = new LevelProgressBar(gameView);
        this.levelLabel = new LevelLabel(gameView);

        gameView.setColorForBlockImage('k',Color.LIGHT_GRAY);
    }

    /** Startet das Spiel. */
    public void startGame() {
        while(true){
            bubble.updatePosition();
            bubble.addToCanvas();
            harpoon.addToCanvas();

            levelProgressBar.addToCanvas();
            levelLabel.addToCanvas();

            gameView.printCanvas();
        }
    }


}
