package de.thdeg.greiner.superpangworld.objects;

import de.thdeg.greiner.superpangworld.game.GameView;

import java.awt.*;

/**
 * The label to display the current level.
 */
public class LevelLabel extends GameObject{

    /** The level to display */
    private int level;

    /**
     * Create a progress bar with default values.
     * @param gameView the {@link GameView} to display the progress bar
     */
    public LevelLabel(GameView gameView){
        super(gameView);
        size = 3;
        width = (int) size * 101;
        height = (int) size * 8;
        level = 8;
        getPosition().setTo(GameView.WIDTH/2 - (width/2),GameView.HEIGHT-height-60);
    }

    /**
     * Draws the level progress bar onto the canvas of the {@link GameView}.
     */
    @Override
    public void addToCanvas(){
        gameView.addTextToCanvas("Level "+level,getPosition().x,getPosition().y,40,Color.YELLOW,0);
    }

    @Override
    public void updatePosition() {
        super.updatePosition();
    }

    @Override
    public String toString() {
        return "LevelLabel:" +getPosition().toString();
    }
}
